PrefabFiles = {
	"wilson_switch",
	"willow_switch",
	"wolfgang_switch",
	"wendy_switch",
	"wx78_switch",
	"wickerbottom_switch",
	"woodie_switch",
	"wes_switch",
	"waxwell_switch",
	"wathgrithr_switch",
	"webber_switch",
	"winona_switch",
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local resolvefilepath = GLOBAL.resolvefilepath

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local TECH = GLOBAL.TECH

Assets = {
	
	Asset( "ATLAS", "images/hud/buildtab.xml" ),
	Asset( "IMAGE", "images/hud/buildtab.tex" ),

}

--Skin Tab

skintab = AddRecipeTab("Build Switcher", 991, "images/hud/buildtab.xml", "buildtab.tex", nil)

--Skin Recipes

local wilson_switch = AddRecipe("wilson_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/wilson_switch.xml", "wilson_switch.tex")

local willow_switch = AddRecipe("willow_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/willow_switch.xml", "willow_switch.tex")

local wolfgang_switch = AddRecipe("wolfgang_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/wolfgang_switch.xml", "wolfgang_switch.tex")

local wendy_switch = AddRecipe("wendy_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/wendy_switch.xml", "wendy_switch.tex")

local wx78_switch = AddRecipe("wx78_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/wx78_switch.xml", "wx78_switch.tex")

local wickerbottom_switch = AddRecipe("wickerbottom_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/wickerbottom_switch.xml", "wickerbottom_switch.tex")

local woodie_switch = AddRecipe("woodie_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/woodie_switch.xml", "woodie_switch.tex")

local wes_switch = AddRecipe("wes_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/wes_switch.xml", "wes_switch.tex")

local waxwell_switch = AddRecipe("waxwell_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/waxwell_switch.xml", "waxwell_switch.tex")

local wathgrithr_switch = AddRecipe("wathgrithr_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/wathgrithr_switch.xml", "wathgrithr_switch.tex")

local webber_switch = AddRecipe("webber_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/webber_switch.xml", "webber_switch.tex")

local winona_switch = AddRecipe("winona_switch",
{},
skintab, TECH.NONE,
nil, nil, nil, nil, nil,
"images/inventoryimages/winona_switch.xml", "winona_switch.tex")

STRINGS.NAMES.WILSON_SWITCH = "Wilson's Build"
STRINGS.RECIPE_DESC.WILSON_SWITCH = "Science."

STRINGS.NAMES.WILLOW_SWITCH = "Willow's Build"
STRINGS.RECIPE_DESC.WILLOW_SWITCH = "Hot."

STRINGS.NAMES.WOLFGANG_SWITCH = "Wolfgang's Build"
STRINGS.RECIPE_DESC.WOLFGANG_SWITCH = "Strong."

STRINGS.NAMES.WENDY_SWITCH = "Wendy's Build"
STRINGS.RECIPE_DESC.WENDY_SWITCH = "Sister."

STRINGS.NAMES.WX78_SWITCH = "WX78's Build"
STRINGS.RECIPE_DESC.WX78_SWITCH = "Apathetic."

STRINGS.NAMES.WICKERBOTTOM_SWITCH = "Wickerbottom's Build"
STRINGS.RECIPE_DESC.WICKERBOTTOM_SWITCH = "Literate."

STRINGS.NAMES.WOODIE_SWITCH = "Woodie's Build"
STRINGS.RECIPE_DESC.WOODIE_SWITCH = "Lucy."

STRINGS.NAMES.WES_SWITCH = "Wes's Build"
STRINGS.RECIPE_DESC.WES_SWITCH = ""

STRINGS.NAMES.WAXWELL_SWITCH = "Waxwell's Build"
STRINGS.RECIPE_DESC.WAXWELL_SWITCH = "Shadows."

STRINGS.NAMES.WATHGRITHR_SWITCH = "Wigfrid's Build"
STRINGS.RECIPE_DESC.WATHGRITHR_SWITCH = "Actor."

STRINGS.NAMES.WEBBER_SWITCH = "Webber's Build"
STRINGS.RECIPE_DESC.WEBBER_SWITCH = "Monster."

STRINGS.NAMES.WINONA_SWITCH = "Winona's Build"
STRINGS.RECIPE_DESC.WINONA_SWITCH = "Builder."

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "wilson_switch" then
			inst.soundsname = "wilson"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "wolfgang_switch" then
			inst.soundsname = "wolfgang"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "wendy_switch" then
			inst.soundsname = "wendy"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "willow_switch" then
			inst.soundsname = "willow"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "wx78_switch" then
			inst.soundsname = "wx78"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "wickerbottom_switch" then
			inst.soundsname = "wickerbottom"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "woodie_switch" then
			inst.soundsname = "woodie"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "wes_switch" then
			inst.soundsname = "wes"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "waxwell_switch" then
			inst.soundsname = "maxwell"
			inst.talker_path_override = "dontstarve/characters/"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "wathgrithr_switch" then
			inst.soundsname = "wathgrithr"
			inst.talker_path_override = "dontstarve_DLC001/characters/"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "webber_switch" then
			inst.soundsname = "webber"
			inst.talker_path_override = "dontstarve_DLC001/characters/"
		end
	end)
	
end)

AddPlayerPostInit(function(inst, data)

	inst:ListenForEvent("builditem", function(inst, data)
		if data.item.prefab == "winona_switch" then
			inst.soundsname = "winona"
			inst.talker_path_override = "dontstarve/characters/"
		end
	end)
	
end)
